Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.datatypes.parameter
Class ParameterValueIm

    java.lang.Object
      org.deegree.datatypes.parameter.GeneralParameterValueIm
          org.deegree.datatypes.parameter.ParameterValueIm

All Implemented Interfaces:
  Serializable

    public class ParameterValueIm

extends GeneralParameterValueIm
implements Serializable

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`ParameterValueIm(GeneralOperationParameterIm descriptor)`
`ParameterValueIm(GeneralOperationParameterIm descriptor, boolean value)`
`ParameterValueIm(GeneralOperationParameterIm descriptor, double value)`
`ParameterValueIm(GeneralOperationParameterIm descriptor, int value)`
`ParameterValueIm(GeneralOperationParameterIm descriptor, Object value)`
`ParameterValueIm(GeneralOperationParameterIm descriptor, String value)`
`ParameterValueIm(GeneralOperationParameterIm descriptor, URL value)`

Method Summary
`boolean` | `booleanValue()`
`double` | `doubleValue()`
`double[]` | `doubleValueList()`
`String` | `getUnit()`
`Object` | `getValue()`
`int` | `intValue()`
`int[]` | `intValueList()`
`void` | `setUnit(String unit)`
`void` | `setValue(boolean value)`
`void` | `setValue(double value)`
`void` | `setValue(int value)`
`void` | `setValue(Object value)`
`void` | `setValue(String value)`
`void` | `setValue(URL value)`
`String` | `stringValue()`
`URL` | `valueFile()`

Methods inherited from class org.deegree.datatypes.parameter.GeneralParameterValueIm
`clone, getDescriptor, setDescriptor`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor)

Parameters:
  `descriptor` -

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor,
                            Object value)

Parameters:
  `descriptor` -
  `value` -

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor,
                            String value)

Parameters:
  `descriptor` -
  `value` -

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor,
                            URL value)

Parameters:
  `descriptor` -
  `value` -

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor,
                            int value)

Parameters:
  `descriptor` -
  `value` -

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor,
                            double value)

Parameters:
  `descriptor` -
  `value` -

### ParameterValueIm

    public ParameterValueIm(GeneralOperationParameterIm descriptor,
                            boolean value)

Parameters:
  `descriptor` -
  `value` -

Method Detail

### booleanValue

    public boolean booleanValue()
                         throws InvalidParameterTypeException

  Returns:
    the value as a boolean.
  Throws:
    `InvalidParameterTypeException`

### doubleValue

    public double doubleValue()
                       throws InvalidParameterTypeException

  Returns:
    the value as a double.
  Throws:
    `InvalidParameterTypeException`

### doubleValueList

    public double[] doubleValueList()
                             throws InvalidParameterTypeException

  Returns:
    the value list as an array of doubles..
  Throws:
    `InvalidParameterTypeException`

### getUnit

    public String getUnit()

  Returns:
    the value.

### getValue

    public Object getValue()

  Returns:
    the value as an object.

### intValue

    public int intValue()
                 throws InvalidParameterTypeException

  Returns:
    the value as an int
  Throws:
    `InvalidParameterTypeException`

### intValueList

    public int[] intValueList()
                       throws InvalidParameterTypeException

  Returns:
    the value as an array of integers
  Throws:
    `InvalidParameterTypeException`

### setUnit

    public void setUnit(String unit)
                 throws InvalidParameterTypeException

  Parameters:
    `unit` - to set
  Throws:
    `InvalidParameterTypeException`

### setValue

    public void setValue(boolean value)
                  throws InvalidParameterValueException

  Parameters:
    `value` - to set
  Throws:
    `InvalidParameterValueException`

### setValue

    public void setValue(double value)
                  throws InvalidParameterValueException

  Parameters:
    `value` - to set
  Throws:
    `InvalidParameterValueException`

### setValue

    public void setValue(int value)
                  throws InvalidParameterValueException

  Parameters:
    `value` - to set
  Throws:
    `InvalidParameterValueException`

### setValue

    public void setValue(Object value)
                  throws InvalidParameterValueException

  Parameters:
    `value` - to set
  Throws:
    `InvalidParameterValueException`

### stringValue

    public String stringValue()
                       throws InvalidParameterTypeException

  Returns:
    the value as a String
  Throws:
    `InvalidParameterTypeException`

### setValue

    public void setValue(String value)

  Parameters:
    `value` -

### valueFile

    public URL valueFile()
                  throws InvalidParameterTypeException

  Returns:
    the location of the value file.
  Throws:
    `InvalidParameterTypeException`

### setValue

    public void setValue(URL value)

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org